using System;
					
public class Program
{
	public static void Main()
	{
		string a, b, c;
		string[] s = Console.ReadLine().Split();
		a = s[0];
		b = s[1];
		c = s[2];
		
		int a1 = a.Length;
		int b1 = b.Length;
		int c1 = c.Length;
		
		string[] d = {a, b, c};
		int[] d1 = {a1, b1, c1};
		
		for(int i = 0; i < 3; i++)
		{
			for(int j = 0; j < 3; j++)
			{
				string v = veci(d[i], d[j], d1[i], d1[j], 0);
				
				if(v == "")
				{
					if(d1[i] < d1[j])
					{
						string t = d[i];
						d[i] = d[j];
						d[j] = t;
						int t1 = d1[i];
						d1[i] = d1[j];
						d1[j] = t1;
					}
				}
				else if(v == d[j])
				{
					string t = d[i];
					d[i] = d[j];
					d[j] = t;
					int t1 = d1[i];
					d1[i] = d1[j];
					d1[j] = t1;
				}
				else
				{
					
				}
			}
		}
			
		Console.WriteLine(d[2].ToString() + d[1].ToString() + d[0].ToString());
	}
	
	static string veci(string x, string y, int i, int j, int k)
	{
		if(i == k || j == k)
		{
			return "";
		}
		else if(int.Parse(x.Substring(k,1)) > int.Parse(y.Substring(k,1)))
		{
			return x;
		}
		else if(int.Parse(x.Substring(k,1)) < int.Parse(y.Substring(k,1)))
		{
			return y;
		}
		else
		{
			return veci(x, y, i, j, k + 1);
		}
	}
}